Live versions compatible with older operating systems

  • Live Versions: 9
  • Operating System: WIN, OSX

As with the release of Live 9.2, some older Operating Systems ( OSX 10.5 & 10.6, Windows XP & Vista ) will not be compatible with Live anymore. 

If you are using one of these unsupported Operating Systems, you can find installers for Live 9.1.10 in our download archive


To find out which Windows version you are using, simply visit the Microsoft Help Site.


Apple users can find out which OS X version they are using by clicking on the Apple Logo in the top left corner of the screen, and selecting "About This Mac". 

001 Apple Logo.png

Apple Logo

  • In the next window you will see the name and version number of OS X. 
001 About this Mac.png

About This Mac